#include <iostream>
#include <stdio.h>
#include <string.h>

using namespace std;

struct broj
{
    char br[20];
};

int main(){
    int n=3,i=0;
    char pom[20];
    struct broj niz[4];
    while(n)
    {
        scanf("%s",niz[i].br);
        if(i==2 || i==1) {
        if(strcmp(niz[i].br,niz[i-1].br)<0)
          {strcpy(pom,niz[0].br);
          strcpy(niz[0].br,niz[1].br);
          strcpy(niz[1].br,pom);}
        }
        if(i==2) {
          if(strcmp(niz[2].br,niz[0].br)<0)
          {strcpy(pom,niz[2].br);
          strcpy(niz[2].br,niz[0].br);
          strcpy(niz[0].br,pom);}
        }

        i++;n--;
    }
    printf("%s",niz[2].br);
    printf("%s",niz[1].br);
    printf("%s",niz[0].br);


    return 0;
}